Bug 701494 - Review Request: wlmproxy - An advanced proxy for the MSN Messenger protocol
Summary: Review Request: wlmproxy - An advanced proxy for the MSN Messenger protocol
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Timur Kristóf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-03 01:40 UTC by William Lima
Modified: 2011-05-28 23:57 UTC (History)
2 users (show)

Fixed In Version: wlmproxy-0.1.3-0.1.20110521git67984d2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 01:01:27 UTC
timur.kristof: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
Checklist of the package, according to https://fedoraproject.org/wiki/Packaging:ReviewGuidelines (9.79 KB, text/plain)
2011-05-04 00:42 UTC, Timur Kristóf
no flags Details

Description William Lima 2011-05-03 01:40:39 UTC
Spec URL: http://poetinha.fedorapeople.org/wlmproxy.spec
SRPM URL: http://poetinha.fedorapeople.org/wlmproxy-0.1.2-1.fc15.src.rpm
Description:

wlmproxy is a transparent proxy server for the MSN protocol.
It supports all versions of MSNP, from 8 up to 21.

Comment 1 Timur Kristóf 2011-05-03 23:41:54 UTC
I'll review this package.

Comment 2 Timur Kristóf 2011-05-04 00:41:57 UTC
There are only two things that I find to be not according to the Review Guidelines:

- The MD5 of the tarball from Git and the tarball in the .src.rpm don't match
- Please use %{_localstatedir} in the .spec file instead of "/var"

I'll attach my detailed review which contains all items from the Review Guidelines.

Comment 3 Timur Kristóf 2011-05-04 00:42:54 UTC
Created attachment 496669 [details]
Checklist of the package, according to https://fedoraproject.org/wiki/Packaging:ReviewGuidelines

Comment 4 William Lima 2011-05-04 13:07:49 UTC
latest package files

Spec URL: http://poetinha.fedorapeople.org/wlmproxy.spec
SRPM URL: http://poetinha.fedorapeople.org/wlmproxy-0.1.2-2.fc15.src.rpm

Comment 5 Timur Kristóf 2011-05-04 19:08:33 UTC
I see that you've fixed the problems I found.

- 'gzip -n' fixed the md5sum issue
- You've fixed the scriptlet issue
- As I see it, the rpmlint "E" error for wlmproxy.conf is intentional.

I've also tested the package with a simple usecase and it appears to be working properly. I see no further obstacles for this package.

The package is now APPROVED. Congratulations! :)

Comment 6 William Lima 2011-05-04 19:23:38 UTC
New Package SCM Request
=======================
Package Name: wlmproxy
Short Description: An advanced proxy for the MSN Messenger protocol
Owners: poetinha
Branches: f14 f15 el6
InitialCC:

Comment 7 Jason Tibbitts 2011-05-05 18:40:04 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-05-06 01:16:01 UTC
wlmproxy-0.1.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wlmproxy-0.1.2-2.fc14

Comment 9 Fedora Update System 2011-05-07 02:55:28 UTC
wlmproxy-0.1.2-2.fc14 has been pushed to the Fedora 14 testing repository.

Comment 10 Fedora Update System 2011-05-08 23:45:22 UTC
wlmproxy-0.1.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wlmproxy-0.1.2-2.el6

Comment 11 Fedora Update System 2011-05-17 01:01:15 UTC
wlmproxy-0.1.2-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-05-24 14:52:08 UTC
wlmproxy-0.1.3-0.1.20110521git67984d2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wlmproxy-0.1.3-0.1.20110521git67984d2.fc15

Comment 13 Fedora Update System 2011-05-25 16:06:44 UTC
wlmproxy-0.1.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2011-05-28 23:57:13 UTC
wlmproxy-0.1.3-0.1.20110521git67984d2.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.